{
    "_version": "1.49.0",
    "sap.app": {
        "id": "map",
        "type": "application",
        "i18n": "i18n/i18n.properties",
        "applicationVersion": {
            "version": "0.0.1"
        },
        "title": "Map of the World",
        "description": "You can watch detail of Country  with a click",
        "resources": "resources.json",
        "sourceTemplate": {
            "id": "@sap/generator-fiori:fpm",
            "version": "1.9.6",
            "toolsId": "7c2d92bd-991a-46f4-a78c-590c5033bcf0"
        },
        "dataSources": {
            "mainService": {
                "uri": "/matching-tool/",
                "type": "OData",
                "settings": {
                    "annotations": [],
                    "localUri": "localService/metadata.xml",
                    "odataVersion": "4.0"
                }
            }
        },
        "crossNavigation": {
            "inbounds": {
                "map-inbound": {
                    "signature": {
                        "parameters": {},
                        "additionalParameters": "allowed"
                    },
                    "semanticObject": "dwwwwwwww",
                    "action": "Display",
                    "title": "{{flpTitle}}",
                    "subTitle": "{{flpSubtitle}}",
                    "icon": ""
                }
            }
        }
    },
    "sap.ui": {
        "technology": "UI5",
        "icons": {
            "icon": "",
            "favIcon": "",
            "phone": "",
            "phone@2": "",
            "tablet": "",
            "tablet@2": ""
        },
        "deviceTypes": {
            "desktop": true,
            "tablet": true,
            "phone": true
        }
    },
    "sap.ui5": {
        "flexEnabled": false,
        "dependencies": {
            "minUI5Version": "1.113.0",
            "libs": {
                "sap.m": {},
                "sap.ui.core": {},
                "sap.ushell": {},
                "sap.fe.templates": {},
                "sap.f": {}
            }
        },
        "contentDensities": {
            "compact": true,
            "cozy": true
        },
        "models": {
            "i18n": {
                "type": "sap.ui.model.resource.ResourceModel",
                "settings": {
                    "bundleName": "map.i18n.i18n"
                }
            },
            "": {
                "dataSource": "mainService",
                "preload": true,
                "settings": {
                    "synchronizationMode": "None",
                    "operationMode": "Server",
                    "autoExpandSelect": true,
                    "earlyRequests": true
                }
            },
            "@i18n": {
                "type": "sap.ui.model.resource.ResourceModel",
                "uri": "i18n/i18n.properties"
            }
        },
        "resources": {
            "css": []
        },
        "routing": {
            "routes": [
                {
                    "name": "OrdersMain",
                    "pattern": ":?query:",
                    "target": [
                        "OrdersMain"
                    ]
                },
                {
                    "name": "SpotsObjectPage",
                    "pattern": "Spots({SpotsKey}):?query:",
                    "target": [
                        "OrdersMain",
                        "SpotsObjectPage"
                    ]
                }
            ],
            "targets": {
                "OrdersMain": {
                    "type": "Component",
                    "id": "OrdersMain",
                    "name": "sap.fe.core.fpm",
                    "options": {
                        "settings": {
                            "viewName": "map.ext.main.Main",
                            "entitySet": "Orders",
                            "navigation": {
                                "Spots": {
                                    "detail": {
                                        "route": "SpotsObjectPage"
                                    }
                                }
                            }
                        }
                    },
                    "controlAggregation": "beginColumnPages",
                    "contextPattern": ""
                },
                "SpotsObjectPage": {
                    "type": "Component",
                    "id": "SpotsObjectPage",
                    "name": "sap.fe.templates.ObjectPage",
                    "options": {
                        "settings": {
                            "entitySet": "Spots",
                            "navigation": {}
                        }
                    },
                    "controlAggregation": "midColumnPages",
                    "contextPattern": "/Spots({SpotsKey})"
                }
            },
            "config": {
                "flexibleColumnLayout": {
                    "defaultTwoColumnLayoutType": "TwoColumnsMidExpanded",
                    "defaultThreeColumnLayoutType": "ThreeColumnsMidExpanded"
                },
                "routerClass": "sap.f.routing.Router"
            }
        },
        "extends": {
            "extensions": {
                "sap.ui.controllerExtensions": {}
            }
        },
        "rootView": {
            "viewName": "sap.fe.templates.RootContainer.view.Fcl",
            "type": "XML",
            "async": true,
            "id": "appRootView"
        }
    }
}